freeorion(6)

NAME
FreeOrion - turn-based space empire and galactic conquest game

SYNOPSIS
freeorion [OPTIONS]

DESCRIPTION
FreeOrion is a turn-based space empire and galactic conquest (4X) computer game being designed and built by the FreeOrion project. FreeOrion is inspired by the tradition of the Master of Orion games, but is not a clone or remake of that series or any other game. The game is about the construction of a living, breathing universe in a grand campaign model. You can develop your own galactic empire and explore new star systems with your fleets as one of several unique human or alien species. Colonization of new worlds, researching new technology, managing your resources and defending your planets against the AI or other human players on a galactic scale are your main objectives.

OPTIONS
--GameSetup.ai-aggression

    The maximum aggression level for AI opponents. Most AIs will be at the level set, some may be at the next level below, all should greet you and state their level in the messages window during the first turn. Default: BEGINNER

--GameSetup.ai-players

    The number of AI opponents in the game. It is best to have at least one player for every 15-30 systems in the game, playing with more or fewer AIs than this can create balance problems. Very high numbers of AIs may cause lag problems, especially later in the game. | Default: 6

--GameSetup.empire-color

    Your empire's color. | Default: 9

--GameSetup.empire-name

    Your empire's name. | Default:

--GameSetup.galaxy-age

    The age of the galaxy. Younger galaxies will have more bright stars, older galaxies will have more black holes and neutron stars. Default: GALAXY_SETUP_MEDIUM

--GameSetup.galaxy-shape

    The shape of the galaxy. Different shapes will create different tactical and strategic challenges. | Default: DISC

--GameSetup.monster-frequency

    The frequency of wandering monsters in the galaxy. This setting affects wandering monsters but not Guardians generated by Special Features, however setting Monsters to None will remove all Guardians as well. Default: GALAXY_SETUP_LOW

--GameSetup.native-frequency

    The frequency of natives in the galaxy. Some natives can be technologically advanced and may create guard ships to protect their homeworlds, these will appear even if Monster Frequency is set to None. Default: GALAXY_SETUP_MEDIUM

--GameSetup.planet-density

    The number of planets per system in the galaxy. Default: GALAXY_SETUP_MEDIUM

--GameSetup.player-name

    The name used in the game to represent the player in single player games. Default:

--GameSetup.seed

    The seed used for randomly generating the galaxy. Galaxies generated with the same settings and the same seed will be identical. | Default: 0

--GameSetup.specials-frequency

    The proportion of planets and systems containing Special Features. Some Special Features are protected by Guardians left by Precursor species???only setting Monster Frequency to None will prevent these appearing if the game contains specials. | Default: GALAXY_SETUP_MEDIUM

--GameSetup.starlane-frequency

    The number of starlanes in the galaxy. When set to Low, most systems will typically have one or two starlanes. When set to High, most systems will have starlanes linking them to most nearby systems within 120uu. Default: GALAXY_SETUP_MEDIUM

--GameSetup.stars

    The approximate number of systems in the galaxy to be generated. For recommended game balance use 15-30 systems per empire. Very high numbers of systems may cause FreeOrion to lag, especially later in the game. Default: 150

--GameSetup.starting-species

    Your empire's starting species. This determines the species of your starting homeworld and your first colony ship, it has no effect on planets in your empire colonized by other species. | Default: SP_HUMAN

--UI.auto-reposition-windows

    Toggles whether to automatically reposition windows when the application size changes. | Default: 1

--UI.combat.summary.dead-color

    Color of dead units in the graphical combat summary Default: (128,0,0,255)

--UI.combat.summary.graph.bar_health_smooth

    If true, the color of the bars of battle participant will be interpolated smoothly according to their remaining health percentage. | Default: 1

--UI.combat.summary.graph.bar_height_proportional

    If true, the bars of battle participants will be scaled vertically to be proportional to their max health. | Default: 0

--UI.combat.summary.graph.bar_width_proportional

    If true, the bars of battle participants will be scaled horizontally to be proportional to their current health. | Default: 1

--UI.combat.summary.graph.graph_height_proportional

    If true, the graph of empires in battles will be scaled relative to the maximum maximum health of their ships. | Default: 0

--UI.combat.summary.health-color

    Color of health in the graphical combat summary | Default: (0,255,0,255)

--UI.combat.summary.wound-color

    Color of damage in the graphical combat summary | Default: (255,0,0,255)

--UI.ctrl-border-color

    Sets UI control border color. | Default: (124,124,124,255)

--UI.ctrl-color

    Sets UI control background color. | Default: (15,15,15,255)

--UI.default-link-color

    Sets UI default link color. | Default: (80,255,128,255)

--UI.design-pedia-dynamic

    In the Design Window, dynamically update the pedia detail page while the design name is being edited. | Default: 0

--UI.detection-range-opacity

    Sets detection circle transparency. | Default: 3

--UI.dropdownlist-arrow-color

    Sets UI drop-down-list arrow color. | Default: (130,130,0,255)

--UI.dump-effects-descriptions

    Toggles dump of effects groups in tech, building or ship part descriptions. | Default: 0

--UI.edit-hilite

    Sets color of highlighting in UI edit controls. | Default: (43,81,102,255)

--UI.fleet-selection-indicator-size

    Sets size of fleet selection indicator, relative to fleet icon size. Default: 1.625

--UI.fleet-supply-line-dot-rate

    Sets how fast to render dots for fleet supply lines. | Default: 0.02

--UI.fleet-supply-line-dot-spacing

    Sets how far apart to render dots for fleet supply lines. | Default: 20

--UI.fleet-supply-line-width

    Sets how wide to render fleet supply lines. | Default: 3

--UI.fleet-supply-lines

    Toggles whether to show fleet supply lines with empire-colored indicators. Default: 1

--UI.fleet-wnd-aggression

    Fleet window default aggression setting Default: INVALID_FLEET_AGGRESSION

--UI.font

    Sets UI font resource file. Default: /usr/share/games/freeorion/default/data/fonts/Roboto-Regular.ttf

--UI.font-bold

    Sets UI bold font resource file. Default: /usr/share/games/freeorion/default/data/fonts/Roboto-Bold.ttf

--UI.font-size

    Sets UI font size. | Default: 15

--UI.galaxy-gas-background

    Render gassy substance around systems to give galaxy shape. May slow rendering on older systems. | Default: 1

--UI.galaxy-starfields

    Render star fields around systems. May slow rendering on older systems. Default: 1

--UI.hide-map-panels

    Toggles whether the sitrep, pedia etc. panels are temporarily hidden when opening the production window and reopened when closing the production window. | Default: 0

--UI.hotkeys.copy

    Copy | Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_c

--UI.hotkeys.cut

    Cut | Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_x

--UI.hotkeys.deselect

    Deselect | Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_d

--UI.hotkeys.exit

    Exit to desktop | Default:

--UI.hotkeys.focus_next_wnd

    Next Control | Default: GGK_TAB

--UI.hotkeys.focus_prev_wnd

    Previous Control | Default: MOD_KEY_LSHIFT | MOD_KEY_RSHIFT+GGK_TAB

--UI.hotkeys.fullscreen

    Toggle fullscreen | Default: MOD_KEY_LALT | MOD_KEY_RALT+GGK_RETURN

--UI.hotkeys.map.design

    Toggle design panel | Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_d

--UI.hotkeys.map.empires

    Toggle empires list | Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_e

--UI.hotkeys.map.end_turn

    End turn | Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_RETURN

--UI.hotkeys.map.graphs

    Show graphs list | Default:

--UI.hotkeys.map.menu

    General menu | Default: GGK_F10

--UI.hotkeys.map.messages

    Toggle messages window | Default: MOD_KEY_LALT | MOD_KEY_RALT+GGK_t

--UI.hotkeys.map.objects

    Hotkey to open Objects list | Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_o

--UI.hotkeys.map.open_chat

    Open chat window | Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_t

--UI.hotkeys.map.pan_down

    Pan map down | Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_DOWN

--UI.hotkeys.map.pan_left

    Pan map left | Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_LEFT

--UI.hotkeys.map.pan_right

    Pan map right | Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_RIGHT

--UI.hotkeys.map.pan_up

    Pan map up | Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_UP

--UI.hotkeys.map.pedia

    Toggle pedia window | Default: GGK_F1

--UI.hotkeys.map.production

    Toggle production panel | Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_p

--UI.hotkeys.map.research

    Toggle research panel | Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_r

--UI.hotkeys.map.return_to_map

    Return to map window | Default: GGK_ESCAPE

--UI.hotkeys.map.sit_rep

    Toggle situation report | Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_n

--UI.hotkeys.map.toggle_scale_circle

    Toggle Map Scale Circle | Default: MOD_KEY_LALT | MOD_KEY_RALT+GGK_c

--UI.hotkeys.map.toggle_scale_line

    Toggle Map Scale Line | Default: MOD_KEY_LALT | MOD_KEY_RALT+GGK_l

--UI.hotkeys.map.zoom_home_system

    Switch to home system | Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_h

--UI.hotkeys.map.zoom_in

    Zoom in | Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_z

--UI.hotkeys.map.zoom_in_alt

    Zoom in (other shortcut) Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_KP_PLUS

--UI.hotkeys.map.zoom_next_fleet

    Switch to next fleet | Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_g

--UI.hotkeys.map.zoom_next_idle_fleet

    Switch to next idle fleet | Default: MOD_KEY_LALT | MOD_KEY_RALT+GGK_g

--UI.hotkeys.map.zoom_next_system

    Switch to next system | Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_GREATER

--UI.hotkeys.map.zoom_out

    Zoom out | Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_x

--UI.hotkeys.map.zoom_out_alt

    Zoom out (other shortcut) Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_KP_MINUS

--UI.hotkeys.map.zoom_prev_fleet

    Switch to previous fleet | Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_f

--UI.hotkeys.map.zoom_prev_idle_fleet

    Switch to previous idle fleet | Default: MOD_KEY_LALT | MOD_KEY_RALT+GGK_f

--UI.hotkeys.map.zoom_prev_system

    Switch to previous system Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_LESS

--UI.hotkeys.paste

    Paste | Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_v

--UI.hotkeys.quit

    Quit current game | Default:

--UI.hotkeys.select_all

    Select All | Default: MOD_KEY_LCTRL | MOD_KEY_RCTRL+GGK_a

--UI.keypress-repeat-delay

    Sets delay between holding a key and repeat keypresses being generated Default: 360

--UI.keypress-repeat-interval

    Sets delay between repeat keypresses while holding a key | Default: 20

--UI.known-tech

    Sets color of known techs in the tech tree. | Default: (72,72,72,255)

--UI.known-tech-border

    Sets text and border color of known techs in the tech tree. Default: (164,164,164,255)

--UI.main-menu.x

    Position of the center of the intro screen main menu, as a portion of the application's total width. | Default: 0.75

--UI.main-menu.y

    Position of the center of the intro screen main menu, as a portion of the application's total height. | Default: 0.5

--UI.map-right-click-popup-menu

    Toggles whether to show a right-click popup menu on the galaxy map. Default: 0

--UI.medium-fleet-button-minimum-zoom

    Sets minimum zoom level at which medium fleet icons are shown on the galaxy map. | Default: 4

--UI.mouse-click-repeat-delay

    Sets delay between holding a mouse button and repeat clicks being generated | Default: 360

--UI.mouse-click-repeat-interval

    Sets delay between repeat clicks while holding a moues button Default: 15

--UI.multiple-fleet-windows

    If true, clicks on multiple fleet buttons will open multiple fleet windows at the same time. Otherwise, opening a fleet window will close any currently-open fleet window. | Default: 0

--UI.objects-list-info-col-0

    Object list column contents | Default: NAME

--UI.objects-list-info-col-1

    Object list column contents | Default: ID

--UI.objects-list-info-col-10

    Object list column contents | Default:

--UI.objects-list-info-col-11

    Object list column contents | Default:

--UI.objects-list-info-col-2

    Object list column contents | Default: OBJECT_TYPE

--UI.objects-list-info-col-3

    Object list column contents | Default: OWNER

--UI.objects-list-info-col-4

    Object list column contents | Default: SPECIES

--UI.objects-list-info-col-5

    Object list column contents | Default: PLANET_TYPE

--UI.objects-list-info-col-6

    Object list column contents | Default: SIZE_AS_DOUBLE

--UI.objects-list-info-col-7

    Object list column contents | Default:

--UI.objects-list-info-col-8

    Object list column contents | Default:

--UI.objects-list-info-col-9

    Object list column contents | Default:

--UI.objects-list-width-col-0

    Object list column widths | Default: 144

--UI.objects-list-width-col-1

    Object list column widths | Default: 48

--UI.objects-list-width-col-10

    Object list column widths | Default: 96

--UI.objects-list-width-col-11

    Object list column widths | Default: 96

--UI.objects-list-width-col-2

    Object list column widths | Default: 60

--UI.objects-list-width-col-3

    Object list column widths | Default: 120

--UI.objects-list-width-col-4

    Object list column widths | Default: 96

--UI.objects-list-width-col-5

    Object list column widths | Default: 96

--UI.objects-list-width-col-6

    Object list column widths | Default: 96

--UI.objects-list-width-col-7

    Object list column widths | Default: 96

--UI.objects-list-width-col-8

    Object list column widths | Default: 96

--UI.objects-list-width-col-9

    Object list column widths | Default: 96

--UI.queue-width

    Sets width of queues on research and production screens. | Default: 350

--UI.researchable-tech

    Sets color of researchable techs in the tech tree. Default: (48,48,48,255)

--UI.researchable-tech-border

    Sets text and border color of researchable techs in the tech tree. Default: (164,164,164,255)

--UI.resource-starlane-colouring

    Toggles whether to color starlanes with empire colors if empires can exchange resources along each starlane. | Default: 1

--UI.rollover-link-color

    Sets UI rollover link color. | Default: (192,80,255,255)

--UI.save-file-dialog.columns

    List the columns to show in the save file dialog, separated by commas. Valid columns: time, turn, player, empire, systems, seed, galaxy_age, galaxy_shape, planet_freq, native_freq, specials_freq, starlane_freq Default: time,turn,player,empire,file

--UI.save-file-dialog.default.stretch

    If UI.save-file-dialog.[name].stretch is set, the column will get that stretch factor if visible. | Default: 1

--UI.save-file-dialog.empire.stretch

    If UI.save-file-dialog.[name].stretch is set, the column will get that stretch factor if visible. | Default: 1

--UI.save-file-dialog.file.stretch

    If UI.save-file-dialog.[name].stretch is set, the column will get that stretch factor if visible. | Default: 2

--UI.save-file-dialog.galaxy_size.wide-as

    If UI.save-file-dialog.[name].wide-as is set, the column will always be wide enough to contain the text there. | Default: 9999

--UI.save-file-dialog.player.stretch

    If UI.save-file-dialog.[name].stretch is set, the column will get that stretch factor if visible. | Default: 1

--UI.save-file-dialog.seed.stretch

    If UI.save-file-dialog.[name].stretch is set, the column will get that stretch factor if visible. | Default: 0.75

--UI.save-file-dialog.time.wide-as

    If UI.save-file-dialog.[name].wide-as is set, the column will always be wide enough to contain the text there. | Default: YYYY-MM-DD

--UI.save-file-dialog.tooltip-delay

    Tooltip delay for save dialog | Default: 800

--UI.save-file-dialog.turn.wide-as

    If UI.save-file-dialog.[name].wide-as is set, the column will always be wide enough to contain the text there. | Default: 9999

--UI.scroll-width

    Sets UI scroll width. | Default: 14

--UI.show-detection-range

    Toggles whether to show circles around objects to indicate their detection range on the galaxy map. | Default: 1

--UI.show-fleet-eta

    Show fleet ETA (for moving fleets) in Fleet Window | Default: 1

--UI.show-galaxy-map-scale

    Show scale line for universe distance on galaxy map. | Default: 1

--UI.show-galaxy-map-scale-circle

    Show the map scale also as a circle centered on the currently selected System (only if the map scale line is also shown). | Default: 0

--UI.show-galaxy-map-zoom-slider

    Toggles whether to show the zoom slider on galaxy map. | Default: 0

--UI.show-production-location-on-queue

    Sets whether to show the production location for items on the production queue | Default: 1

--UI.show-unexplored_system_overlay

    Show a different MapWindow mouseover overlay for systems that the player's empire has not yet explored. | Default: 1

--UI.sidepanel-planet-max-diameter

    Sets size of largest-rendered rotating planets on side-panel. Default: 128

--UI.sidepanel-planet-min-diameter

    Sets size of smallest-rendered rotating planets on side-panel. Default: 24

--UI.sidepanel-planet-shown

    Sets whether to show rendered planets / asteroids on the side-panel. Default: 1

--UI.sidepanel-width

    Sets size of system side-panel. | Default: 512

--UI.sitrep-icon-size

    Sets the sitrep icon width and height; default 16 (min 12, max 64). Default: 24

--UI.small-fleet-button-minimum-zoom

    Sets minimum zoom level at which small fleet icons are shown on the galaxy map. | Default: 1.5

--UI.sound.alert

    The sound file played when an error or illegal action occurs. Default: /usr/share/games/freeorion/default/data/sound/alert.ogg

--UI.sound.bg-music

    Sets the background track to play. Default: artificial_intelligence_v3.ogg

--UI.sound.button-click

    The sound file played when a button is clicked. Default: /usr/share/games/freeorion/default/data/sound/button_click.ogg

--UI.sound.button-rollover

    The sound file played when the mouse moves over a button. Default: /usr/share/games/freeorion/default/data/sound/button_rollover.ogg

--UI.sound.enabled

    Enables sound in the game. | Default: 1

--UI.sound.fleet-button-click

    The sound file played when a fleet button is clicked. Default: fleet_button_click.ogg

--UI.sound.fleet-button-rollover

    The sound file played when the mouse moves over a fleet button. Default: /usr/share/games/freeorion/default/data/sound/fleet_button_rollover.ogg

--UI.sound.item-drop

    The sound file played when an item is dropped into a listbox. Default: /usr/share/games/freeorion/default/data/sound/list_select.ogg

--UI.sound.list-pulldown

    The sound file played when the list is opened in a drop-down list. Default: /usr/share/games/freeorion/default/data/sound/list_pulldown.ogg

--UI.sound.list-select

    The sound file played when a listbox or drop-down list item is selected. Default: /usr/share/games/freeorion/default/data/sound/list_select.ogg

--UI.sound.music-enabled

    Enables music in the game. | Default: 1

--UI.sound.music-volume

    The volume (0 to 255) at which music should be played. | Default: 127

--UI.sound.planet-button-click

    The sound file played when a planet button is clicked. Default: /usr/share/games/freeorion/default/data/sound/button_click.ogg

--UI.sound.sidepanel-open

    The sound file played when the system side-panel is opened. Default: /usr/share/games/freeorion/default/data/sound/sidepanel_open.ogg

--UI.sound.system-icon-rollover

    The sound file played when the mouse moves over a system icon. Default: /usr/share/games/freeorion/default/data/sound/fleet_button_rollover.ogg

--UI.sound.text-typing

    The sound file played when the user types text. Default: /usr/share/games/freeorion/default/data/sound/text_typing.ogg

--UI.sound.turn-button-click

    The sound file played when the turn button is clicked. Default: turn_button_click.ogg

--UI.sound.volume

    The volume (0 to 255) at which UI sound effects should be played. Default: 255

--UI.sound.window-close

    The sound file played when a window is closed. Default: /usr/share/games/freeorion/default/data/sound/window_close.ogg

--UI.sound.window-maximize

    The sound file played when a window is maximized. Default: window_maximize.ogg

--UI.sound.window-minimize

    The sound file played when a window is minimized. Default: window_minimize.ogg

--UI.starlane-core-multiplier

    Width multiplier for empire 'core' starlanes. | Default: 4

--UI.starlane-thickness

    Sets how wide to render starlanes in pixels. | Default: 2

--UI.stat-decrease-color

    Sets color of decreasing statistics | Default: (255,0,0,255)

--UI.stat-increase-color

    Sets color of increasing statistics | Default: (0,255,0,255)

--UI.state-button-color

    Sets UI state button selected color. | Default: (0,127,0,255)

--UI.swap-mouse-lr

    Swaps results of clicking left and right mouse buttons. | Default: 0

--UI.system-circle-size

    Sets size of circles around systems on map, relative to system icon size. Default: 1

--UI.system-circles

    Toggles whether to draw circles around systems. | Default: 1

--UI.system-fog-of-war

    Toggles whether to render fog of war scan-line shading over system icons. Default: 1

--UI.system-fog-of-war-spacing

    Sets spacing (in pixels) between fog of war scan-lines. | Default: 4

--UI.system-icon-size

    Sets size of system icons. | Default: 14

--UI.system-name-unowned-color

    Sets color of unowned system names on the galaxy map. Default: (160,160,160,255)

--UI.system-selection-indicator-rpm

    Sets the rotation rate (in revolutions per minute) of animation of system selection indicator. | Default: 12

--UI.system-selection-indicator-size

    Sets size of system selection indicator, relative to system icon size. Default: 1.625

--UI.system-tiny-icon-size-threshold

    Sets size of system icons below which the fixed-size tiny icons will be shown. | Default: 10

--UI.tech-controls-graphic-size

    Adjusts the size of research screen controls, scaled with the text font size. | Default: 3

--UI.tech-layout-horz-spacing

    The horizontal spacing to be placed between techs in the tech screen, in multiples of the width of a single theory tech. | Default: 0.25

--UI.tech-layout-vert-spacing

    The vertical spacing to be placed between techs in the tech screen, in multiples of the height of a single theory tech. | Default: 0.75

--UI.tech-layout-zoom-scale

    Adjusts the scale to zoom the tech window. | Default: 1

--UI.tech-progress

    Sets background color of progress bars in the tech tree. Default: (40,40,40,255)

--UI.tech-progress-background

    Sets bar color of progress bars in the tech tree. Default: (72,72,72,255)

--UI.text-color

    Sets UI text color. | Default: (255,255,255,255)

--UI.tiny-fleet-button-minimum-zoom

    Sets minimum zoom level at which tiny fleet icons are shown on the galaxy map. At smaller zooms, no fleet icons are shown. | Default: 0.75

--UI.title-font

    Sets UI title font resource file. Default: /usr/share/games/freeorion/default/data/fonts/Roboto-Regular.ttf

--UI.title-font-size

    Sets UI title font size. | Default: 16

--UI.tooltip-delay

    Sets UI tooltip pop-up delay, in ms. | Default: 500

--UI.unowned-starlane-colour

    Sets default color to render starlanes. | Default: (72,72,72,255)

--UI.unresearchable-tech

    Sets color of unresearchable techs in the tech tree. Default: (30,30,30,255)

--UI.unresearchable-tech-border

    Sets text and border color of unresearchable techs in the tech tree. Default: (86,86,86,255)

--UI.window-quickclose

    Close open windows such as fleet windows and the system-view side panel when you right-click on the main map. | Default: 0

--UI.windows.production.pedia.persistently-hidden

    True if the player has manually closed the production window's pedia. Default: 0

--UI.windows.research.pedia.persistently-hidden

    True if the player has manually closed the research window's pedia. Default: 0

--UI.wnd-color

    Sets UI window background color. | Default: (35,35,35,240)

--UI.wnd-inner-border-color

    Sets UI window inner border color. | Default: (192,192,192,255)

--UI.wnd-outer-border-color

    Sets UI window outer border color. | Default: (64,64,64,255)

--ai-config

    Is available to the AI via the freeorioninterface, is set for current execution only. Current expected use is to name an optional AI config file within the AI script folder; default is the empty string. Intended to facilitate AI testing. | Default:

--ai-path

    Sets the path for the directory containing the AI script files, for current execution only, relative to the Resource Directory; default is "AI". Intended to facilitate AI testing. | Default: python/AI

--auto-add-saved-designs

    At game start automatically add all user-saved ship designs to the player-empire known designs. | Default: 1

--auto-advance-n-turns

    Hits the "Turn" button automatically on the first N turns (up to 400 turns, defaults to zero); useful for various testing particularly with --quickstart or --load, possibly also --auto-quit. | Default: 0

--auto-quit

    Automatically quits once any turns specified by --auto-advance-n-turns are completed (defaults to zero), useful for various testing particularly with --quickstart or --load.

--autosave.limit

    Sets the maximum number of autosave files to keep. | Default: 10

--autosave.multiplayer

    If true, autosaves will occur during multiplayer games. | Default: 1

--autosave.single-player

    If true, autosaves will occur during single-player games. | Default: 1

--autosave.turns

    Sets the number of turns between autosaves. | Default: 1

--binary-serialization

    Use Binary serialization for saving games. Binary serialization is faster to save and load, but may not be possible to load on a different operating system. | Default: 0

--checked-gl-version

    Stores whether the OpenGL version of this system has been checked. If false, several rendering options may be altered depending on the GL version, after which, this option will be set to true. | Default: 0

-c, --color-depth

    Sets screen color depth, in bits per pixel. | Default: 24

--effect-accounting

    Toggles effect accounting tabulation when updating after gamestate changes. | Default: 1

--effects-threads-ai

    Specifies number of threads to use in effects processing for the AI players. More than one thread may lead to unpredictable crashes. Default: 2

--effects-threads-server

    Specifies number of threads to use in effects processing on the server. More than one thread may lead to unpredictable crashes. | Default: 8

--effects-threads-ui

    Specifies number of threads to use for effects processing in the user interface. More than one thread may lead to unpredictable crashes. Default: 8

--external-server-address

    Address to connect to in external server mode. If used, this client becomes the manager of the game. | Default: localhost

--fake-mode-change

    Do not really change the resolution of the screen. Render the game to an offscreen buffer of the desired resolution and scale that buffer to fill the screen instead. Avoids certain issues with real screen mode changes, which are known to appear on linux. | Default: 1

--force-external-server

    Force the client not to start a server, even when hosting a game on localhost, playing single player, etc.

-f, --fullscreen

    Start the game in fullscreen. Clicking Apply may cause this to take effect, or may require a restart.

--fullscreen-monitor-id

    Select which monitor to use in fullscreen mode. Primary monitor should be index 0. May require a restart to take effect. | Default: 0

-g, --generate-config-xml

    Uses default settings, settings from any existing config.xml file, and settings given on the command line to generate a config.xml file. This will overwrite the current config.xml file, if it exists.

-h, --help

    Print this help message.

--hidden-sitrep-templates

    Hidden sitrep templates | Default:

--limit-fps

    Toggles FPS limiting on or off. Limit is set with Max FPS option. Default: 1

--limit-fps-no-focus

    Toggles FPS limiting on or off when the game window does not have focus. Default: 1

--load

    Loads the specified single-player save game. | Default:

--log-level

    Sets the level at or above which log messages will be output (levels in order of increasing verbosity: FATAL, ERROR, WARN, INFO, DEBUG, TRACE) Default: DEBUG

--max-fps

    Sets FPS limit, if enabled. Limiting is toggled with Limit FPS. Default: 60

--max-fps-no_focus

    Sets FPS limit when the game window does not have focus, if enabled. Default: 15

--multiplayersetup.host-address

    Address to connect to when joining a multiplayer game. Default: localhost

--multiplayersetup.player-name

    Player name to use when hosting or joining a multiplayer game. | Default:

--network.discovery-port

    Network port to use for server discovery. | Default: 12345

--network.message-port

    Network port to use for client-server messaging. | Default: 12346

-q, --quickstart

    Starts a new quick-start game, bypassing the main menu.

-r, --render-simple

    Sets several map and GUI rendering options to improve frame rate and reduce rendering CPU use. Useful for configuring to run on lower-powered graphics adapters without adjusting each setting separately.

--reset-fullscreen-size

    Stores whether to reset the stored fullscreen resolution. If false, the stored values are used, but if true, the values are reset to the max the rendering system supports. | Default: 1

--resource-dir

    Sets the root directory for the game resource files (game content and data files). | Default: /usr/share/games/freeorion/default

-S, --save-dir

    The directory in which saved games are saved and from which they are loaded. | Default: /home/apo/.local/share/freeorion/save

--show-fps

    Toggles FPS display on or off. | Default: 0

--stringtable-filename

    Sets the language-specific string table filename. Default: /usr/share/games/freeorion/default/stringtables/en.txt

--verbose-combat-logging

    Toggles verbose logging of combat resolution information. | Default: 0

--verbose-logging

    Toggles verbose logging of universe contents and effect evaluation. Default: 0

--verbose-sitrep

    Toggles inclusion of situation report messages with errors. | Default: 0

-v, --version

    Print version and exit.

--version-string

    Tracks the FreeOrion version for which config.xml was generated. Config.xml for different versions will be ignored. Default: v0.4.7 [build ???] CMake

-w, --window-reset

    Causes windows to use their default properties instead of remembering their previous positions.